Bug 246327 - network-manager transmission speeds reported in bytes per second
Summary: network-manager transmission speeds reported in bytes per second
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Miscellaneous
Component: Plasma Widget (show other bugs)
Version: 0.9
Platform: Debian unstable Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-31 04:46 UTC by Mark Purcell
Modified: 2011-07-07 23:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: nm09 branch


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Purcell 2010-07-31 04:46:07 UTC
Version:           0.9 (using KDE 4.4.5) 
OS:                Linux

Thanks for your work on the networkmanager widget.

One request, it current reports transmission speeds, in the traffic graph, in Bytes/ sec (KB/s), however it is more traditional to report transmission speeds in bits/ sec (Kb/s):


http://en.wikipedia.org/wiki/Bit_rate

Generally one talks about Wifi as 10Mbit/s (802.11b),  or 54 Mbit/s (802.11g), or ADSL (8 Mbit/s) or ADSL2 (12 Mbit/sec).

Would you be able to switch the transmission reporting units, or at least make it a switchable option.

Thanks,
Mark

Reproducible: Always

Steps to Reproduce:
Traffic graph is setup this way

Actual Results:  
Transmission speed reported in bytes per second (KB/s)

Expected Results:  
Transmission speeds reported in bits per second (Kb/s)
Comment 1 Lamarque V. Souza 2011-07-07 23:12:01 UTC
Git commit c3277e3dc254710ce73f528ed38ab5e3a15d3c5f by Lamarque V. Souza.
Committed on 08/07/2011 at 01:10.
Pushed by lvsouza into branch 'nm09'.

Add option to show network speed in KB/s or KBits/s in interface details
widget.

BUG: 246327
FIXED-IN: nm09 branch

M  +35   -6    applet/interfacedetailswidget.cpp     
M  +2    -0    applet/interfacedetailswidget.h     
M  +0    -1    applet/nmpopup.cpp     
M  +6    -0    libs/internals/knmserviceprefs.kcfg     
M  +1    -1    plasma_nm_version.h     
M  +33   -2    settings/config/othersettings.ui     

http://commits.kde.org/networkmanagement/c3277e3dc254710ce73f528ed38ab5e3a15d3c5f